from setuptools import setup, find_packages

setup(
    name='lspace',
    packages=find_packages(),
    include_package_data=True,
    version='0.1.1',
    entry_points='''
        [console_scripts]
        lspace=lspace.app:cli_group
    ''',
    description='a ebook manager built around isbnlib',
    url='https://github.com/puhoy/lspace',
    author='jan',
    author_email='stuff@kwoh.de',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    install_requires=[
        "alembic==1.0.10",
        "astroid==2.2.5",
        "autopep8==1.4.4",
        "blinker==1.4",
        "certifi==2019.3.9",
        "chardet==3.0.4",
        "Click==7.0",
        "colorama==0.4.1",
        "EbookLib==0.17.1",
        "elib==0.1",
        "Flask==1.0.2",
        "flask-marshmallow==0.10.1",
        "Flask-Migrate==2.4.0",
        "Flask-SQLAlchemy==2.4.0",
        "flask-whooshee==0.7.0",
        "html2text==2018.1.9",
        "idna==2.8",
        "isbnlib==3.9.8",
        "isbntools==4.3.19",
        "isort==4.3.18",
        "itsdangerous==1.1.0",
        "Jinja2==2.10.1",
        "lazy-object-proxy==1.3.1",
        "lxml==4.3.3",
        "Mako==1.0.10",
        "MarkupSafe==1.1.1",
        "marshmallow==2.19.2",
        "marshmallow-sqlalchemy==0.16.3",
        "mccabe==0.6.1",
        "pick==0.6.4",
        "pycodestyle==2.5.0",
        "pylint==2.3.1",
        "PyPDF2==1.26.0",
        "python-dateutil==2.8.0",
        "python-editor==1.0.4",
        "python-magic==0.4.15",
        "python-slugify==3.0.2",
        "PyYAML==5.1",
        "requests==2.21.0",
        "rope==0.14.0",
        "ruamel.yaml==0.15.94",
        "six==1.12.0",
        "SQLAlchemy==1.3.3",
        "text-unidecode==1.2",
        "typed-ast==1.3.5",
        "Unidecode==1.0.23",
        "urllib3==1.24.3",
        "Werkzeug==0.15.2",
        "Whoosh==2.7.4",
        "wrapt==1.11.1"
    ]
)
